<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GIMP Library Reference Manual: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="next" href="libgimp.html" title="Part I. GIMP Library">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div lang="en" class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">GIMP Library Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      for GIMP 2.10.8

    </p></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="part"><a href="libgimp.html">I. GIMP Library</a></span></dt>
<dd><dl>
<dt><span class="chapter"><a href="libgimp-general.html">Functions not Related to Specific Images</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libgimp-gimp.html">gimp</a></span><span class="refpurpose"> — Miscellaneous procedures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpenums.html">gimpenums</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpbuffer.html">gimpbuffer</a></span><span class="refpurpose"> — Functions for manipulating cut buffers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpcontext.html">gimpcontext</a></span><span class="refpurpose"> — Functions to manipulate a plug-in's context.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpgimprc.html">gimpgimprc</a></span><span class="refpurpose"> — Interactions with settings from gimprc.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimphelp.html">gimphelp</a></span><span class="refpurpose"> — Loading help pages using gimp_help.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpmessage.html">gimpmessage</a></span><span class="refpurpose"> — Display a dialog box with a message.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpplugin.html">gimpplugin</a></span><span class="refpurpose"> — Functions useful for plug-ins, e.g. registration and progress indicators.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpproceduraldb.html">gimpproceduraldb</a></span><span class="refpurpose"> — Functions for querying and changing procedural database (PDB) entries.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpprogress.html">gimpprogress</a></span><span class="refpurpose"> — Functions for embedding the progress bar into a plug-in's GUI.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdebug.html">gimpdebug</a></span><span class="refpurpose"> — Debug utility functions</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="libgimp-image.html">Manupulating Images and their Properties</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpchannel.html">gimpchannel</a></span><span class="refpurpose"> — Functions for manipulating channels.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpcolor.html">gimpcolor</a></span><span class="refpurpose"> — Functions for manipulating color.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdisplay.html">gimpdisplay</a></span><span class="refpurpose"> — Functions to create, delete and flush displays (views) on an image.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdrawable.html">gimpdrawable</a></span><span class="refpurpose"> — Functions to manipulate drawables.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdrawablecolor.html">gimpdrawablecolor</a></span><span class="refpurpose"> — Functions for manipulating a drawable's color.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdrawableedit.html">gimpdrawableedit</a></span><span class="refpurpose"> — Drawable edit functions (clear, fill, gradient, stroke etc.)</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdrawabletransform.html">gimpdrawabletransform</a></span><span class="refpurpose"> — Functions to perform transformatrions on drawables.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpedit.html">gimpedit</a></span><span class="refpurpose"> — Edit menu functions (cut, copy, paste, clear, etc.)</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpfileops.html">gimpfileops</a></span><span class="refpurpose"> — Image file operations (load, save, etc.)</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpfloatingsel.html">gimpfloatingsel</a></span><span class="refpurpose"> — Functions for removing or attaching floating selections.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimage.html">gimpimage</a></span><span class="refpurpose"> — Operations on complete images.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimagecolorprofile.html">gimpimagecolorprofile</a></span><span class="refpurpose"> — Operations on an image's color profile.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimageconvert.html">gimpimageconvert</a></span><span class="refpurpose"> — Conversions between RGB, indexed, and grayscale modes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimagegrid.html">gimpimagegrid</a></span><span class="refpurpose"> — Functions manuipulating an image's grid.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimageguides.html">gimpimageguides</a></span><span class="refpurpose"> — Functions for manipulating an image's guides.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimagesamplepoints.html">gimpimagesamplepoints</a></span><span class="refpurpose"> — Functions for manipulating an image's sample points.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimageselect.html">gimpimageselect</a></span><span class="refpurpose"> — Modify the image's selection.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimagetransform.html">gimpimagetransform</a></span><span class="refpurpose"> — Transformations on images.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpimageundo.html">gimpimageundo</a></span><span class="refpurpose"> — Control of image undo/redo.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpmetadata.html">gimpmetadata</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpitem.html">gimpitem</a></span><span class="refpurpose"> — Functions to manipulate items.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpitemtransform.html">gimpitemtransform</a></span><span class="refpurpose"> — Functions to perform transformations on items.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimplayer.html">gimplayer</a></span><span class="refpurpose"> — Operations on a single layer.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppaths.html">gimppaths</a></span><span class="refpurpose"> — Deprecated operations related to paths.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppixbuf.html">gimppixbuf</a></span><span class="refpurpose"> — Get a thumbnail pixbuf for a drawable or image.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppixelfetcher.html">gimppixelfetcher</a></span><span class="refpurpose"> — Functions for operating on pixel regions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppixelrgn.html">gimppixelrgn</a></span><span class="refpurpose"> — Functions for operating on pixel regions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpregioniterator.html">gimpregioniterator</a></span><span class="refpurpose"> — Functions to traverse a pixel regions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpselection.html">gimpselection</a></span><span class="refpurpose"> — Functions for manipulating selections.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimptextlayer.html">gimptextlayer</a></span><span class="refpurpose"> — Functions for querying and manipulating text layers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimptexttool.html">gimptexttool</a></span><span class="refpurpose"> — Functions for controlling the text tool.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimptile.html">gimptile</a></span><span class="refpurpose"> — Functions for working with tiles.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppainttools.html">gimppainttools</a></span><span class="refpurpose"> — Access to toolbox paint tools.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpselectiontools.html">gimpselectiontools</a></span><span class="refpurpose"> — Access to toolbox selection tools.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimptransformtools.html">gimptransformtools</a></span><span class="refpurpose"> — Access to toolbox transform tools.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpvectors.html">gimpvectors</a></span><span class="refpurpose"> — Functions for querying and manipulating vectors.</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="libgimp-data.html">Data Objects</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpbrush.html">gimpbrush</a></span><span class="refpurpose"> — Functions operating on a single brush.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpbrushes.html">gimpbrushes</a></span><span class="refpurpose"> — Functions for manipulating brushes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpdynamics.html">gimpdynamics</a></span><span class="refpurpose"> — Operations related to paint dynamics.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpfonts.html">gimpfonts</a></span><span class="refpurpose"> — Operations related to fonts.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpgradient.html">gimpgradient</a></span><span class="refpurpose"> — Functions operating on a single gradient.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpgradients.html">gimpgradients</a></span><span class="refpurpose"> — Operations related to gradients.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppalette.html">gimppalette</a></span><span class="refpurpose"> — Functions operating on a single palette.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppalettes.html">gimppalettes</a></span><span class="refpurpose"> — Operations related to palettes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppattern.html">gimppattern</a></span><span class="refpurpose"> — Functions operating on a single pattern.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppatterns.html">gimppatterns</a></span><span class="refpurpose"> — Functions relating to patterns.</span>
</dt>
</dl></dd>
<dt><span class="chapter"><a href="libgimp-selectors.html">Controlling the Core's Selection Dialogs</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="GimpSelectButton.html">GimpSelectButton</a></span><span class="refpurpose"> — The base class of the data select buttons.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpBrushSelectButton.html">gimpbrushselectbutton</a></span><span class="refpurpose"> — A button that pops up a brush selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpFontSelectButton.html">GimpFontSelectButton</a></span><span class="refpurpose"> — A button which pops up a font selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpGradientSelectButton.html">GimpGradientSelectButton</a></span><span class="refpurpose"> — A button which pops up a gradient select dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpPaletteSelectButton.html">GimpPaletteSelect</a></span><span class="refpurpose"> — A button which pops up a palette select dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpPatternSelectButton.html">GimpPatternSelectButton</a></span><span class="refpurpose"> — A button which pops up a pattern select dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpbrushselect.html">gimpbrushselect</a></span><span class="refpurpose"> — Functions providing a brush selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpfontselect.html">gimpfontselect</a></span><span class="refpurpose"> — Functions providing a font selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpgradientselect.html">gimpgradientselect</a></span><span class="refpurpose"> — Functions providing a gradient selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppaletteselect.html">gimppaletteselect</a></span><span class="refpurpose"> — Functions providing a palette selection dialog.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppatternselect.html">gimppatternselect</a></span><span class="refpurpose"> — Functions providing a pattern selection dialog.</span>
</dt>
</dl></dd>
</dl></dd>
<dt><span class="part"><a href="libgimpui.html">II. GIMP User Interface Library</a></span></dt>
<dd><dl>
<dt><span class="chapter"><a href="libgimpui-hierarchy.html">Object Hierarchy</a></span></dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpui.html">gimpui</a></span><span class="refpurpose"> — Common user interface functions. This header includes
                    all other GIMP User Interface Library headers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpexport.html">gimpexport</a></span><span class="refpurpose"> — Export an image before it is saved.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpDrawablePreview.html">GimpDrawablePreview</a></span><span class="refpurpose"> — A widget providing a preview of a <span class="type">GimpDrawable</span>.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpAspectPreview.html">GimpAspectPreview</a></span><span class="refpurpose"> — A widget providing a preview with fixed aspect ratio.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpZoomPreview.html">GimpZoomPreview</a></span><span class="refpurpose"> — A drawable preview with zooming capabilities.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-GimpItemComboBox.html">GimpItemComboBox</a></span><span class="refpurpose"> — Widgets providing popup menus of items.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpImageComboBox.html">GimpImageComboBox</a></span><span class="refpurpose"> — A widget providing a popup menu of images.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpProgressBar.html">GimpProgressBar</a></span><span class="refpurpose"> — A widget providing a progress bar.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpmenu.html">gimpmenu</a></span><span class="refpurpose"> — Menus for selecting images, layers, channels
                    and drawables.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpbrushmenu.html">gimpbrushmenu</a></span><span class="refpurpose"> — A widget for selecting brushes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpfontmenu.html">gimpfontmenu</a></span><span class="refpurpose"> — A widget for selecting fonts.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimpgradientmenu.html">gimpgradientmenu</a></span><span class="refpurpose"> — A widget for selecting gradients.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppalettemenu.html">gimppalettemenu</a></span><span class="refpurpose"> — A widget for selecting palettes.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-gimppatternmenu.html">gimppatternmenu</a></span><span class="refpurpose"> — A widget for selecting patterns.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="GimpProcBrowserDialog.html">GimpProcBrowserDialog</a></span><span class="refpurpose"> — The dialog for the procedure and plugin browsers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libgimp-GimpProcView.html">GimpProcView</a></span><span class="refpurpose"> — A widget showing information about a PDB procedure.</span>
</dt>
</dl></dd>
<dt><span class="index"><a href="api-index-full.html">Index</a></span></dt>
<dt><span class="index"><a href="api-index-2-2.html">Index of new symbols in GIMP 2.2</a></span></dt>
<dt><span class="index"><a href="api-index-2-4.html">Index of new symbols in GIMP 2.4</a></span></dt>
<dt><span class="index"><a href="api-index-2-6.html">Index of new symbols in GIMP 2.6</a></span></dt>
<dt><span class="index"><a href="api-index-2-8.html">Index of new symbols in GIMP 2.8</a></span></dt>
<dt><span class="index"><a href="api-index-2-10.html">Index of new symbols in GIMP 2.10</a></span></dt>
<dt><span class="index"><a href="api-index-2-10-2.html">Index of new symbols in GIMP 2.10.2</a></span></dt>
<dt><span class="index"><a href="api-index-2-10-4.html">Index of new symbols in GIMP 2.10.4</a></span></dt>
<dt><span class="index"><a href="api-index-2-10-6.html">Index of new symbols in GIMP 2.10.6</a></span></dt>
<dt><span class="index"><a href="api-index-deprecated.html">Index of deprecated symbols</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>